Create a model response
https://{kibana_url}
- POST /api/security_ai_assistant/chat/complete
- POST /s/{space_id}/api/security_ai_assistant/chat/complete
Refer to Spaces for more information.
Create a model response for the given chat conversation.
Query Parameters
-
content_references_disabledboolean · default: false If true, the response will not include content references.
Request
-
connectorIdstringrequired -
Required connector identifier to route the request.
-
conversationIdstring · min: 1 -
A string that does not contain only whitespace characters.
-
isStreamboolean -
If true, the response will be streamed in chunks.
-
langSmithApiKeystring -
API key for LangSmith integration.
-
langSmithProjectstring -
LangSmith project name for tracing.
-
messagesobjectrequired -
List of chat messages exchanged so far.
-
contentstring -
The textual content of the message.
-
dataobject -
ECS-style metadata attached to the message.
-
fields_to_anonymizestring -
List of field names within the data object that should be anonymized.
-
modelstring -
Model ID or name to use for the response.
-
persistbooleanrequired -
Whether to persist the chat and response to storage.
-
promptIdstring -
Prompt template identifier.
-
responseLanguagestring -
ISO language code for the assistant's response.
Responses
Indicates a successful model response call.
Response Type: string
Generic Error
-
errorstring -
Error type.
-
messagestring -
Human-readable error message.
-
statusCodenumber -
HTTP status code.